package com.zcloud.modules.alarmInfo.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.*;

import java.util.Date;

/**
 *
 *
 * @author Mark
 * @since 1.0.0 2025-03-31
 */
@Data
@TableName("bus_alarm_info")
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class AlarmInfoEntity {
    /**
     *
     */
    @TableId(value = "ALARM_INFO_ID",type = IdType.AUTO)
    @TableField(value = "ALARM_INFO_ID")
    @JsonProperty(value = "ALARM_INFO_ID")
	private String alarmInfoId;
    /**
     * 报警值
     */
    @TableField(value = "ALARM_VALUE")
    @JsonProperty(value = "ALARM_VALUE")
	private String alarmValue;
    /**
     * 报警时间
     */
    @TableField(value = "ALARM_TIME")
    @JsonProperty(value = "ALARM_TIME")
	private String alarmTime;
    /**
     * 报警等级
     */
    @TableField(value = "LEVEL")
    @JsonProperty(value = "LEVEL")
	private String LEVEL;
    /**
     * 添加人
     */
    @TableField(value = "CREATOR")
    @JsonProperty(value = "CREATOR")
	private String CREATOR;
    /**
     * 添加时间
     */
    @TableField(value = "CREATTIME")
    @JsonProperty(value = "CREATTIME")
	private String CREATTIME;
    /**
     * 修改人
     */
    @TableField(value = "OPERATOR")
    @JsonProperty(value = "OPERATOR")
	private String OPERATOR;
    /**
     * 修改时间
     */
    @TableField(value = "OPERATTIME")
    @JsonProperty(value = "OPERATTIME")
	private String OPERATTIME;
    /**
     * 是否删除0用1删
     */
    @TableField(value = "ISDELETE")
    @JsonProperty(value = "ISDELETE")
	private String ISDELETE;
    /**
     * 设备id
     */
    @TableField(value = "ANEMOMETER_ID")
    @JsonProperty(value = "ANEMOMETER_ID")
	private String anemometerId;
    /**
     * 报警信息
     */
    @TableField(value = "LOG")
    @JsonProperty(value = "LOG")
	private String LOG;

    /**
     * 企业id
     */
    @TableField(value = "CORPINFO_ID")
    @JsonProperty(value = "CORPINFO_ID")
    private String corpinfoId;
}
