package com.zcloud.modules.anemometerMachine.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.*;

/**
 *
 *
 * @author Mark
 * @since 1.0.0 2025-03-31
 */
@Data
@TableName("bus_anemometer_machine")
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class AnemometerMachineEntity {
    /**
     * 风速仪ID
     */
    @TableId(value = "ANEMOMETER_ID",type = IdType.AUTO)
    // @TableField(value = "ANEMOMETER_ID")
    @JsonProperty(value = "ANEMOMETER_ID")
	private String anemometerId;
    /**
     * 风速仪名称
     */
    // @TableField(value = "ANEMOMETER_NAME")
    @JsonProperty(value = "ANEMOMETER_NAME")
	private String anemometerName;
    /**
     * 经度
     */
    @TableField(value = "LONGITUDE")
    @JsonProperty(value = "LONGITUDE")
	private String LONGITUDE;
    /**
     * 纬度
     */
    @TableField(value = "LATITUDE")
    @JsonProperty(value = "LATITUDE")
	private String LATITUDE;
    /**
     * 创建人
     */
    @TableField(value = "CREATOR")
    @JsonProperty(value = "CREATOR")
	private String CREATOR;
    /**
     * 创建时间
     */
    @TableField(value = "CREATTIME")
    @JsonProperty(value = "CREATTIME")
	private String CREATTIME;
    /**
     * 修改人
     */
    @TableField(value = "OPERATOR")
    @JsonProperty(value = "OPERATOR")
	private String OPERATOR;
    /**
     * 修改时间
     */
    @TableField(value = "OPERATTIME")
    @JsonProperty(value = "OPERATTIME")
	private String OPERATTIME;

    /**
     * 企业id
     */
    @TableField(value = "CORPINFO_ID")
    @JsonProperty(value = "CORPINFO_ID")
    private String corpinfoId;
}
