package com.zcloud.modules.anemometerRecord.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.*;

import java.util.Date;

/**
 *
 *
 * @author Mark
 * @since 1.0.0 2025-03-31
 */
@Data
@TableName("bus_anemometer_record")
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class AnemometerRecordEntity {
    /**
     * 风速数据ID
     */
    @TableId(value = "ANEMOMETER_RECIRD_ID",type = IdType.AUTO)
    @JsonProperty(value = "ANEMOMETER_RECIRD_ID")
	private String anemometerRecordId;
    /**
     * 风速仪ID
     */
    @JsonProperty(value = "ANEMOMETER_ID")
	private String anemometerId;
    /**
     * 风速值
     */
    @TableField(value = "VALUE")
    @JsonProperty(value = "VALUE")
	private String VALUE;
    /**
     * 数据时间
     */
    @TableField(value = "DATE")
    @JsonProperty(value = "DATE")
	private String DATE;
    /**
     * 创建人
     */
    @TableField(value = "CREATOR")
    @JsonProperty(value = "CREATOR")
	private String CREATOR;
    /**
     * 创建时间
     */
    @TableField(value = "CREATTIME")
    @JsonProperty(value = "CREATTIME")
	private String CREATTIME;
    /**
     * 修改人
     */
    @TableField(value = "OPERATOR")
    @JsonProperty(value = "OPERATOR")
	private String OPERATOR;
    /**
     * 修改时间
     */
    @TableField(value = "OPERATTIME")
    @JsonProperty(value = "OPERATTIME")
	private String OPERATTIME;

    /**
     * 企业id
     */
    @TableField(value = "CORPINFO_ID")
    @JsonProperty(value = "CORPINFO_ID")
    private String corpinfoId;

    @TableField(exist = false)
    @JsonProperty(value = "ANEMOMETER_NAME")
    private String anemometerName;
}
