

package com.zcloud.modules.sys.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 系统用户Token
 *
 *
 */
@Data
@TableName("sys_user_token")
public class SysUserTokenEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	//用户ID
	@TableField(value = "user_id")
	@TableId(type = IdType.INPUT)
	private String userId;
	//token
	private String token;
	//过期时间
	@TableField(value = "expire_time" )
	private Date expireTime;
	//更新时间
	@TableField(value = "update_time" )
	private Date updateTime;

}
