package com.zcloud.modules.sys.form;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author WL
 * @Desc 系统用户(SysUser)实体
 * @Date 2024-09-29 11:20:21
 */
@Data
public class SysUserForm implements Serializable {
    private String userId;
    //用户名
    @ApiModelProperty(value = "用户名")
    private String username;
    //密码
    @ApiModelProperty(value = "密码")
    private String password;
    //姓名
    @ApiModelProperty(value = "姓名")
    private String name;
    //年龄
    @ApiModelProperty(value = "年龄")
    private String age;
    //性别
    @ApiModelProperty(value = "性别")
    private String sex;
    //部门ID
    @ApiModelProperty(value = "部门ID")
    private String departmentId;
    //部门ID
    @ApiModelProperty(value = "部门ID")
    private String departmentName;
    //岗位
    @ApiModelProperty(value = "岗位")
    private String postId;
    //岗位
    @ApiModelProperty(value = "岗位")
    private String postName;
    //邮箱
    @ApiModelProperty(value = "邮箱")
    private String email;
    //手机号
    @ApiModelProperty(value = "手机号")
    private String mobile;
    //学历
    @ApiModelProperty(value = "学历")
    private String degree;
    //学历
    @ApiModelProperty(value = "学历")
    private String degreeName;
    //身份证号
    @ApiModelProperty(value = "身份证号")
    private String userIdCard;
    //类型：1-管理 0-普通员工
    @ApiModelProperty(value = "类型：1-管理 0-普通员工")
    private String type;
    //状态  0：禁用   1：正常
    @ApiModelProperty(value = "状态  0：禁用   1：正常")
    private Integer status;
    //是否删除(0：有效 1：删除)
    @ApiModelProperty(value = "是否删除(0：有效 1：删除)")
    private Integer isDelete;
    //创建者ID
    @ApiModelProperty(value = "创建者ID")
    private String creator;
    //创建时间
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    //修改人
    @ApiModelProperty(value = "修改人")
    private String operator;
    //修改时间
    @ApiModelProperty(value = "修改时间")
    private String operatTime;

}

