package com.zcloud.modules.sys.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcloud.modules.sys.entity.BusImgfilesEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;
/**
 * @Author fangjiakai
 * @Desc 图片附件(BusImgfiles)表数据库访问层
 * @Date 2023-10-19 15:09:20
 */
@Mapper
public interface BusImgfilesDao extends BaseMapper<BusImgfilesEntity> {

    /**
     * 分页查询
     */
    IPage<Map<String,Object>> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);
}
