package com.zcloud.modules.sys.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zcloud.modules.sys.entity.SysDictionariesEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 菜单管理
 *
 *
 */
@Mapper
public interface SysDictionariesDao extends BaseMapper<SysDictionariesEntity> {

	/**
	 * 根据父菜单，查询子菜单
	 * @param parentId 父菜单ID
	 */
	List<SysDictionariesEntity> queryListParentId(String parentId);

    String getRecurrenceIds(String id);
}
