package com.zcloud.modules.sys.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author fangjiakai
 * @Desc 图片附件(BusImgfiles)实体
 * @Date 2023-10-19 15:09:20
 */
@Data
@TableName("bus_imgfiles")
public class BusImgfilesEntity implements Serializable {
    private static final long serialVersionUID = 198859459889538527L;
    @TableId
    private String imgfilesId;
    //路径
    @ApiModelProperty(value = "路径")
    private String filepath;
    // 文件名
    @ApiModelProperty(value = "文件名")
    private String filename;
    //类型 1营业执照
    @ApiModelProperty(value = "类型 1营业执照")
    private Integer type;
    //外键
    @ApiModelProperty(value = "外键")
    private String foreignKey;
    //企业ID
    @ApiModelProperty(value = "企业ID")
    private String corpinfoId;

}

